This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 865929 - xfs: report projid32bit feature in geometry call
xfs: report projid32bit feature in geometry call
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.4
Unspecified Unspecified
low Severity unspecified
: rc
: ---
Assigned To: Eric Sandeen
Boris Ranto
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-12 16:29 EDT by Eric Sandeen
Modified: 2013-02-21 01:50 EST (History)
2 users (show)

See Also:
Fixed In Version: kernel-2.6.32-335.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 01:50:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Sandeen 2012-10-12 16:29:15 EDT
When xfs gained the projid32bit feature, it was never added to
the FSGEOMETRY ioctl feature flags, so it's not queryable without
a patch.

This will need to be added to properly support 32-bit project ID in xfsdump, because that required a format change, and needs to know whether the kernel (and the filesystem in question) supports the feature.

Patch is sent upstream & reviewed.
Comment 2 Jarod Wilson 2012-10-19 16:59:02 EDT
Patch(es) available on kernel-2.6.32-335.el6
Comment 7 errata-xmlrpc 2013-02-21 01:50:27 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0496.html

Note You need to log in before you can comment on or make changes to this bug.